#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 semialign
version:              1.2.0.1
visibility:           public
id:                   semialign-1.2.0.1-EN1a03LaVmr29XANEdI0rx
key:                  semialign-1.2.0.1-EN1a03LaVmr29XANEdI0rx
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               C. McCann, Oleg Grenrus
homepage:             https://github.com/haskellari/these
synopsis:
    Align and Zip type-classes from the common Semialign ancestor.

description:
    The major use of @These@ of this is provided by the @align@ member of
    @Semialign@ class, representing a generalized notion of "zipping with padding"
    that combines structures without truncating to the size of the smaller input.

    It turns out that @zip@ operation fits well the @Semialign@ class,
    forming lattice-like structure.

category:             Data, These
abi:                  bc03c7e7a0bdb0556be292443a3b5a50
exposed:              True
exposed-modules:
    Data.Align Data.Crosswalk Data.Semialign Data.Semialign.Indexed
    Data.Zip

hidden-modules:       Data.Semialign.Internal
import-dirs:          /usr/lib/ghc-9.0.2/site-local/semialign-1.2.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/semialign-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-semialign
hs-libraries:         HSsemialign-1.2.0.1-EN1a03LaVmr29XANEdI0rx
depends:
    base-4.15.1.0 containers-0.6.4.1
    hashable-1.4.3.0-FviSDMTOEDP4a4xPfq9DNL
    indexed-traversable-0.1.3-GpC8D7vRPgN54dRJ6PDJS4
    indexed-traversable-instances-0.1.1.2-CrDHh1gnCNX1S0Xb6BWWu4
    semigroupoids-5.3.7-GLwYpZ6yDTfEMGhtdS6ezh
    tagged-0.8.8-7t9egrTqJuwIG4IxuqlUrH
    these-1.1.1.1-KiWVNJiOfTp9AsJJM9Ekyz transformers-0.5.6.2
    unordered-containers-0.2.19.1-UA49xtzCSp2PJ1xuqchgw
    vector-0.13.1.0-7cFmSXPxOYHBXGvXz6nsRQ

haddock-interfaces:   /usr/share/doc/haskell-semialign/html/semialign.haddock
haddock-html:         /usr/share/doc/haskell-semialign/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

